com.oracle.truffle.api.instrument

## Interface InstrumentationNode

All Known Subinterfaces:
  ProbeNode.WrapperNode

All Known Implementing Classes:
  ProbeNode

    public interface InstrumentationNode

A marker interface for Truffle nodes that support Instrumentation and are should not be part of any Guest Language execution semantics.

### Method Summary

Methods
`java.lang.String` `instrumentationInfo()` A short description of the particular role played by the node, intended to support debugging.

### Method Detail

#### instrumentationInfo

    java.lang.String instrumentationInfo()

A short description of the particular role played by the node, intended to support debugging.